Loading...
Searching...
No Matches
cl::DeviceCommandQueue Class Reference

DeviceCommandQueue interface for device cl_command_queues. More...

`#include <opencl.hpp>`

Inheritance diagram for cl::DeviceCommandQueue:

## Public Member Functions

| DeviceCommandQueue ()
| DeviceCommandQueue (DeviceQueueProperties properties, cl_int *err=nullptr)
| DeviceCommandQueue (const Context &context, const Device &device, DeviceQueueProperties properties=DeviceQueueProperties::None, cl_int *err=nullptr)
| DeviceCommandQueue (const Context &context, const Device &device, cl_uint queueSize, DeviceQueueProperties properties=DeviceQueueProperties::None, cl_int *err=nullptr)
| DeviceCommandQueue (const cl_command_queue &commandQueue, bool retainObject=false)
| Constructor from cl_command_queue - takes ownership.
DeviceCommandQueue & | operator= (const cl_command_queue &rhs)
template<typename T>
cl_int | getInfo (cl_command_queue_info name, T *param) const
template<cl_command_queue_info name>
detail::param_traits< detail::cl_command_queue_info, name >::param_type | getInfo (cl_int *err=nullptr) const
Public Member Functions inherited from cl::detail::Wrapper< cl_command_queue >
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
const cl_type & | operator() () const
cl_type | get () const

## Static Public Member Functions

static DeviceCommandQueue | makeDefault (cl_int *err=nullptr)
static DeviceCommandQueue | makeDefault (const Context &context, const Device &device, cl_int *err=nullptr)
static DeviceCommandQueue | makeDefault (const Context &context, const Device &device, cl_uint queueSize, cl_int *err=nullptr)
static DeviceCommandQueue | updateDefault (const Context &context, const Device &device, const DeviceCommandQueue &default_queue, cl_int *err=nullptr)
static DeviceCommandQueue | getDefault (const CommandQueue &queue, cl_int *err=nullptr)

## Additional Inherited Members

Public Types inherited from cl::detail::Wrapper< cl_command_queue >
typedef cl_command_queue | cl_type
Protected Member Functions inherited from cl::detail::Wrapper< cl_command_queue >
cl_int | retain () const
cl_int | release () const
Protected Attributes inherited from cl::detail::Wrapper< cl_command_queue >
cl_type | object_

## Detailed Description

DeviceCommandQueue interface for device cl_command_queues.

Definition at line 9700 of file opencl.hpp.

## Constructor & Destructor Documentation

## DeviceCommandQueue() [1/5]

cl::DeviceCommandQueue::DeviceCommandQueue | ( |  | ) |

inline

Trivial empty constructor to create a null queue.

Definition at line 9707 of file opencl.hpp.

## DeviceCommandQueue() [2/5]

cl::DeviceCommandQueue::DeviceCommandQueue | ( | DeviceQueueProperties | properties,
|  | cl_int * | err = nullptr )

inline

Default construct device command queue on default context and device

Definition at line 9712 of file opencl.hpp.

## DeviceCommandQueue() [3/5]

cl::DeviceCommandQueue::DeviceCommandQueue | ( | const Context & | context,
|  | const Device & | device,
|  | DeviceQueueProperties | properties = DeviceQueueProperties::None,
|  | cl_int * | err = nullptr )

inline

Create a device command queue for a specified device in the passed context.

Definition at line 9735 of file opencl.hpp.

## DeviceCommandQueue() [4/5]

cl::DeviceCommandQueue::DeviceCommandQueue | ( | const Context & | context,
|  | const Device & | device,
|  | cl_uint | queueSize,
|  | DeviceQueueProperties | properties = DeviceQueueProperties::None,
|  | cl_int * | err = nullptr )

inline

Create a device command queue for a specified device in the passed context.

Definition at line 9759 of file opencl.hpp.

## DeviceCommandQueue() [5/5]

cl::DeviceCommandQueue::DeviceCommandQueue | ( | const cl_command_queue & | commandQueue,
|  | bool | retainObject = false )

inline explicit

Constructor from cl_command_queue - takes ownership.

Parameters

  retainObject | will cause the constructor to retain its cl object. Defaults to false to maintain compatibility with earlier versions.

Definition at line 9789 of file opencl.hpp.

## Member Function Documentation

## getDefault()

DeviceCommandQueue cl::DeviceCommandQueue::getDefault | ( | const CommandQueue & | queue,
|  | cl_int * | err = nullptr )

inline static

Return the current default command queue for the specified command queue

Definition at line 9931 of file opencl.hpp.

## getInfo() [1/2]

template<typename T>

cl_int cl::DeviceCommandQueue::getInfo | ( | cl_command_queue_info | name,
|  | T * | param ) const

inline

Definition at line 9799 of file opencl.hpp.

## getInfo() [2/2]

template<cl_command_queue_info name>

detail::param_traits< detail::cl_command_queue_info, name >::param_type cl::DeviceCommandQueue::getInfo | ( | cl_int * | err = nullptr | ) | const

inline

Definition at line 9809 of file opencl.hpp.

## makeDefault() [1/3]

DeviceCommandQueue cl::DeviceCommandQueue::makeDefault | ( | cl_int * | err = nullptr | ) |

inline static

Create a new default device command queue for the default device, in the default context and of the default size. If there is already a default queue for the specified device this function will return the pre-existing queue.

Definition at line 9826 of file opencl.hpp.

## makeDefault() [2/3]

DeviceCommandQueue cl::DeviceCommandQueue::makeDefault | ( | const Context & | context,
|  | const Device & | device,
|  | cl_int * | err = nullptr )

inline static

Create a new default device command queue for the specified device and of the default size. If there is already a default queue for the specified device this function will return the pre-existing queue.

Definition at line 9856 of file opencl.hpp.

## makeDefault() [3/3]

DeviceCommandQueue cl::DeviceCommandQueue::makeDefault | ( | const Context & | context,
|  | const Device & | device,
|  | cl_uint | queueSize,
|  | cl_int * | err = nullptr )

inline static

Create a new default device command queue for the specified device and of the requested size in bytes. If there is already a default queue for the specified device this function will return the pre-existing queue.

Definition at line 9884 of file opencl.hpp.

## operator=()

DeviceCommandQueue & cl::DeviceCommandQueue::operator= | ( | const cl_command_queue & | rhs | ) |

inline

Definition at line 9792 of file opencl.hpp.

## updateDefault()

DeviceCommandQueue cl::DeviceCommandQueue::updateDefault | ( | const Context & | context,
|  | const Device & | device,
|  | const DeviceCommandQueue & | default_queue,
|  | cl_int * | err = nullptr )

inline static

Modify the default device command queue to be used for subsequent kernels. This can update the default command queue for a device repeatedly to account for kernels that rely on the default.

Returns
  updated default device command queue.

Definition at line 9916 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp